Announcement

Collapse
No announcement yet.

EspoCRM 6.0.0-beta1 released

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • EspoCRM 6.0.0-beta1 released

    6.0.0 Beta 1

    All issues: https://github.com/espocrm/espocrm/m...ne/96?closed=1

    Download link: https://github.com/espocrm/espocrm/r....0.0-beta1.zip

  • #2
    If you encounter any issues, you may post right in this topic or create a separate one.

    Comment


    • #3
      Is it possible to update an existing 5.9.4 version?

      Comment


      • #4
        Hello, yurikuzn this is really great news!
        When update will be available from CLI? For now i can only upgrade to 5.9.4 through CLI

        Comment


        • #5
          I don't recommend upgrading a production instance. I can build an upgrade package for you.

          You can build an upgrade from git repository.

          1. Fetch tags from github.

          2. Checkout to 6.0.0-beta1 tag.

          Code:
          git checkout tags/6.0.0-beta1

          3. Build with the command:

          Code:
          grunt

          4. Build an upgrade with the command:

          Code:
          node diff 5.9.4

          An upgrade package will be created in `build` folder.
          Last edited by yurikuzn; 09-25-2020, 08:16 PM.

          Comment


          • #6
            Hello Yuri,
            thanks for all ..

            i just install a fresh clean .. nothing error see .. all seemts perfect. .. it's seemt more fast.. (php 7.3.8 on my computer)
            can you give me a link to download upgrade package from 5.9.4 to 6beta ? so i can test in my develop instance with millions record and customization and give feedback. (i have all extension too office, voip, mailchimp, ...)
            sorry, no skill for github.

            Best Regards
            Last edited by item; 09-25-2020, 09:25 PM.

            Comment


            • #7
              Hi,

              I have followed the steps above to build an upgrade package but have had a few issues, first i tried on windows 10 then moved to Linux Mint 20 but the same issues in both cases. The command has output a folder in the build but I do not know if it is valid given the warnings/errors?


              $grunt
              Running "composer" task
              Warning: Command failed: composer install --ignore-platform-reqs --no-dev Use --force to continue.

              Aborted due to warnings.


              I forced this command:

              $grunt --force


              $node diff 5.9.4
              Warning! You are on HEAD branch.
              (node:25246) UnhandledPromiseRejectionWarning: Error: Command failed: composer install --no-dev --ignore-platform-reqs
              at checkExecSyncError (child_process.js:629:11)
              at Object.execSync (child_process.js:666:13)
              at /home/unknown/Desktop/espo/espocrm/js/diff.js:366:24
              at new Promise (<anonymous>)
              at /home/unknown/Desktop/espo/espocrm/js/diff.js:331:17
              at /home/unknown/Desktop/espo/espocrm/js/diff.js:525:9
              at ChildProcess.exithandler (child_process.js:301:5)
              at ChildProcess.emit (events.js:198:13)
              at maybeClose (internal/child_process.js:982:16)
              at Process.ChildProcess._handle.onexit (internal/child_process.js:259:5)
              (node:25246) UnhandledPromiseRejectionWarning: Unhandled promise rejection. This error originated either by throwing inside of an async function without a catch block, or by rejecting a promise which was not handled with .catch(). (rejection id: 2)
              (node:25246) [DEP0018] DeprecationWarning: Unhandled promise rejections are deprecated. In the future, promise rejections that are not handled will terminate the Node.js process with a non-zero exit code.

              Comment


              • yurikuzn
                yurikuzn commented
                Editing a comment
                Could you that you don't have composer install.

              • Kyle
                Kyle commented
                Editing a comment
                Thanks Yurikuzn you are correct. Composer was missing.

            • #8
              Would it not be a better idea, if the espoCRM-team would provide an update patch from 5.9.4 to 6.0.0- beta? I would like to test the beta in my development environment and as well am not capable to build an update package on my own.

              Comment


              • #9
                A provided patch would be handy but I would also like to know how to do this for myself. I am actually running 5.9.1 and I am sure others are on a range of other versions to avoid having to upgrade each point release it would be good to be able to build our own patches.

                Comment


                • #10
                  I will upload the upgrade package tomorrow.

                  Comment


                  • #11
                    Upgrade package from 5.9.4 to 6.0.0-beta1: https://www.espocrm.com/downloads/up....0.0-beta1.zip

                    Install with the command:

                    Code:
                    php command.php upgrade -y --file="path_to_dir_where_package_is_located/EspoCRM-upgrade-5.9.4-to-6.0.0-beta1.zip"
                    Last edited by yurikuzn; 09-28-2020, 09:33 AM.

                    Comment


                    • #12
                      Fixes since beta1:

                      https://github.com/espocrm/espocrm/issues/1794
                      https://github.com/espocrm/espocrm/issues/1793
                      Last edited by yurikuzn; 09-28-2020, 12:07 PM.

                      Comment


                      • #13
                        Hello,
                        installed the upgrade from 5.9.4, my issues so far:

                        1. Extension Layout Pro 2.9.0 from Eblasoft does not work anymore, is shown as not installed and not possible to install: ERROR: Rebuild is failed. Fix all errors before upgrade.
                        2. Administrator Clear Cache not possible ERROR 500
                        3. Administrator Rebuild not possible ERROR 500

                        Comment


                        • emillod
                          emillod commented
                          Editing a comment
                          Unfortunatell i think that about external extension you'll need to contact with Eblasoft

                        • shalmaxb
                          shalmaxb commented
                          Editing a comment
                          Thanks, I guessed that too

                      • #14
                        Fix added: https://github.com/espocrm/espocrm/issues/1795

                        Comment


                        • #15
                          Great to have a new major release. I was so excited about it but not so after reading the release documentation. The real business value from this release are only these:
                          1. Emails: Ability to insert record field values when compose
                          2. Import: Ability to run import with parameters of a previously run import
                          3. Import: Ability to resume failed import from the last processed row
                          4. Emails: Hiding modal after Send button is clicked
                          5. Import: Ability to run from CLI

                          Otherwise, it is mostly code based features which a business user may never see. In my opinion, this may be just a technical release instead of a feature release. Could not see any architectural changes as these was already done in release 5.8. As such, this could simply be 5.10.0.

                          The foregoing are just my assumptions. Please accept my apologies if my assumptions are wrong.

                          Comment


                          • dimyy
                            dimyy commented
                            Editing a comment
                            Updating the minor version means that the whole custom code works and the update is relatively safe.
                            In many installations, a lot of custom code (modules) has been developed and changing the major version just speaks about the requirement of refactoring this code.

                            Custom code is real business value not technical value

                          • murugappan
                            murugappan commented
                            Editing a comment
                            Should not compare V1.0 and 6.0. That would be like comparing a tree top house to a luxury villa. They may be a lot of code rewrites but I meant business features.

                          • yurikuzn
                            yurikuzn commented
                            Editing a comment
                            We know better when to switch to the next major version. And it's already DONE. No point to discuss it here.
                            Last edited by yurikuzn; 10-07-2020, 03:16 PM.
                        Working...
                        X